pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E067 : Short_Integer; pragma Import (Ada, E067, "system__os_lib_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "ada__exceptions_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E041 : Short_Integer; pragma Import (Ada, E041, "ada__containers_E");
   E060 : Short_Integer; pragma Import (Ada, E060, "ada__io_exceptions_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "ada__strings__maps_E");
   E096 : Short_Integer; pragma Import (Ada, E096, "ada__strings__maps__constants_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "interfaces__c_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "system__exceptions_E");
   E073 : Short_Integer; pragma Import (Ada, E073, "system__object_reader_E");
   E050 : Short_Integer; pragma Import (Ada, E050, "system__dwarf_lines_E");
   E089 : Short_Integer; pragma Import (Ada, E089, "system__soft_links__initialize_E");
   E040 : Short_Integer; pragma Import (Ada, E040, "system__traceback__symbolic_E");
   E337 : Short_Integer; pragma Import (Ada, E337, "ada__numerics_E");
   E114 : Short_Integer; pragma Import (Ada, E114, "ada__strings__utf_encoding_E");
   E139 : Short_Integer; pragma Import (Ada, E139, "gnat_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "interfaces__c__strings_E");
   E258 : Short_Integer; pragma Import (Ada, E258, "system__task_info_E");
   E252 : Short_Integer; pragma Import (Ada, E252, "system__task_primitives__operations_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "ada__tags_E");
   E098 : Short_Integer; pragma Import (Ada, E098, "ada__streams_E");
   E112 : Short_Integer; pragma Import (Ada, E112, "ada__strings__text_output_E");
   E190 : Short_Integer; pragma Import (Ada, E190, "system__file_control_block_E");
   E127 : Short_Integer; pragma Import (Ada, E127, "system__finalization_root_E");
   E125 : Short_Integer; pragma Import (Ada, E125, "ada__finalization_E");
   E189 : Short_Integer; pragma Import (Ada, E189, "system__file_io_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "system__storage_pools_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "system__finalization_masters_E");
   E216 : Short_Integer; pragma Import (Ada, E216, "system__storage_pools__subpools_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "ada__strings__unbounded_E");
   E211 : Short_Integer; pragma Import (Ada, E211, "system__regpat_E");
   E144 : Short_Integer; pragma Import (Ada, E144, "ada__calendar_E");
   E224 : Short_Integer; pragma Import (Ada, E224, "ada__calendar__delays_E");
   E150 : Short_Integer; pragma Import (Ada, E150, "ada__calendar__time_zones_E");
   E185 : Short_Integer; pragma Import (Ada, E185, "ada__text_io_E");
   E141 : Short_Integer; pragma Import (Ada, E141, "gnat__calendar_E");
   E183 : Short_Integer; pragma Import (Ada, E183, "gnat__calendar__time_io_E");
   E348 : Short_Integer; pragma Import (Ada, E348, "gnat__directory_operations_E");
   E331 : Short_Integer; pragma Import (Ada, E331, "system__assertions_E");
   E321 : Short_Integer; pragma Import (Ada, E321, "system__checked_pools_E");
   E312 : Short_Integer; pragma Import (Ada, E312, "gnat__debug_pools_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "system__pool_global_E");
   E206 : Short_Integer; pragma Import (Ada, E206, "gnat__expect_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "system__pool_size_E");
   E372 : Short_Integer; pragma Import (Ada, E372, "system__random_seed_E");
   E359 : Short_Integer; pragma Import (Ada, E359, "system__regexp_E");
   E352 : Short_Integer; pragma Import (Ada, E352, "ada__directories_E");
   E274 : Short_Integer; pragma Import (Ada, E274, "system__tasking__initialization_E");
   E284 : Short_Integer; pragma Import (Ada, E284, "system__tasking__protected_objects_E");
   E286 : Short_Integer; pragma Import (Ada, E286, "system__tasking__protected_objects__entries_E");
   E282 : Short_Integer; pragma Import (Ada, E282, "system__tasking__queuing_E");
   E160 : Short_Integer; pragma Import (Ada, E160, "gnatcoll__atomic_E");
   E310 : Short_Integer; pragma Import (Ada, E310, "gnatcoll__memory_E");
   E242 : Short_Integer; pragma Import (Ada, E242, "gnatcoll__plugins_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "gnatcoll__storage_pools__headers_E");
   E162 : Short_Integer; pragma Import (Ada, E162, "gnatcoll__refcount_E");
   E204 : Short_Integer; pragma Import (Ada, E204, "gnatcoll__string_builders_E");
   E304 : Short_Integer; pragma Import (Ada, E304, "gnatcoll__strings_impl_E");
   E302 : Short_Integer; pragma Import (Ada, E302, "gnatcoll__strings_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "gnatcoll__strings_E");
   E323 : Short_Integer; pragma Import (Ada, E323, "gnatcoll__mmap_E");
   E325 : Short_Integer; pragma Import (Ada, E325, "gnatcoll__mmap__system_E");
   E327 : Short_Integer; pragma Import (Ada, E327, "gnatcoll__templates_E");
   E329 : Short_Integer; pragma Import (Ada, E329, "gnatcoll__terminal_E");
   E195 : Short_Integer; pragma Import (Ada, E195, "gnatcoll__utils_E");
   E179 : Short_Integer; pragma Import (Ada, E179, "gnatcoll__sql_impl_E");
   E157 : Short_Integer; pragma Import (Ada, E157, "gnatcoll__sql_E");
   E343 : Short_Integer; pragma Import (Ada, E343, "gnatcoll__io_E");
   E361 : Short_Integer; pragma Import (Ada, E361, "gnatcoll__path_E");
   E350 : Short_Integer; pragma Import (Ada, E350, "gnatcoll__io__native_E");
   E364 : Short_Integer; pragma Import (Ada, E364, "gnatcoll__remote_E");
   E368 : Short_Integer; pragma Import (Ada, E368, "gnatcoll__remote__db_E");
   E346 : Short_Integer; pragma Import (Ada, E346, "gnatcoll__io__remote_E");
   E363 : Short_Integer; pragma Import (Ada, E363, "gnatcoll__io__remote__unix_E");
   E366 : Short_Integer; pragma Import (Ada, E366, "gnatcoll__io__remote__windows_E");
   E336 : Short_Integer; pragma Import (Ada, E336, "gnatcoll__vfs_E");
   E306 : Short_Integer; pragma Import (Ada, E306, "gnatcoll__traces_E");
   E238 : Short_Integer; pragma Import (Ada, E238, "gnatcoll__sql__exec_E");
   E244 : Short_Integer; pragma Import (Ada, E244, "gnatcoll__sql__exec__tasking_E");
   E290 : Short_Integer; pragma Import (Ada, E290, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E244 := E244 - 1;
         if E244 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__finalize_body");
      begin
         E238 := E238 - 1;
         if E238 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E238 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E306 := E306 - 1;
         if E306 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E306 = 0 then
            F8;
         end if;
      end;
      E336 := E336 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E336 = 0 then
            F9;
         end if;
      end;
      E346 := E346 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E346 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E364 := E364 - 1;
         if E364 = 0 then
            F11;
         end if;
      end;
      E350 := E350 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E350 = 0 then
            F12;
         end if;
      end;
      E343 := E343 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E343 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E157 := E157 - 1;
         if E157 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E157 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E179 := E179 - 1;
         if E179 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E179 = 0 then
            F17;
         end if;
      end;
      E329 := E329 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E329 = 0 then
            F18;
         end if;
      end;
      E162 := E162 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__refcount__finalize_spec");
      begin
         if E162 = 0 then
            F19;
         end if;
      end;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__memory__finalize_body");
      begin
         E310 := E310 - 1;
         if E310 = 0 then
            F20;
         end if;
      end;
      E286 := E286 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E286 = 0 then
            F21;
         end if;
      end;
      E352 := E352 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "ada__directories__finalize_spec");
      begin
         if E352 = 0 then
            F22;
         end if;
      end;
      E359 := E359 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "system__regexp__finalize_spec");
      begin
         if E359 = 0 then
            F23;
         end if;
      end;
      E169 := E169 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "system__pool_size__finalize_spec");
      begin
         if E169 = 0 then
            F24;
         end if;
      end;
      E206 := E206 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gnat__expect__finalize_spec");
      begin
         if E206 = 0 then
            F25;
         end if;
      end;
      E177 := E177 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "system__pool_global__finalize_spec");
      begin
         if E177 = 0 then
            F26;
         end if;
      end;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnat__debug_pools__finalize_body");
      begin
         E312 := E312 - 1;
         if E312 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_spec");
      begin
         if E312 = 0 then
            F28;
         end if;
      end;
      E185 := E185 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "ada__text_io__finalize_spec");
      begin
         if E185 = 0 then
            F29;
         end if;
      end;
      E111 := E111 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__strings__unbounded__finalize_spec");
      begin
         if E111 = 0 then
            F30;
         end if;
      end;
      E216 := E216 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "system__storage_pools__subpools__finalize_spec");
      begin
         if E216 = 0 then
            F31;
         end if;
      end;
      E173 := E173 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__finalization_masters__finalize_spec");
      begin
         if E173 = 0 then
            F32;
         end if;
      end;
      declare
         procedure F33;
         pragma Import (Ada, F33, "system__file_io__finalize_body");
      begin
         E189 := E189 - 1;
         if E189 = 0 then
            F33;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, True, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, True, False, False, True, True, False, 
           True, True, False, True, True, True, True, False, 
           True, False, False, False, True, False, False, True, 
           False, True, False, True, True, False, True, False, 
           True, False, False, False, True, False, True, False, 
           True, False, False, False, False, False, False, True, 
           True, True, False, False, True, False, True, True, 
           True, False, True, True, False, True, True, True, 
           True, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E023 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E041 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E041 := E041 + 1;
      if E060 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E060 := E060 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E093 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E093 := E093 + 1;
      if E096 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E096 := E096 + 1;
      if E065 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E065 := E065 + 1;
      if E027 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E027 := E027 + 1;
      if E073 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      E073 := E073 + 1;
      if E050 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E050 := E050 + 1;
      if E067 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E067 := E067 + 1;
      if E089 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E089 := E089 + 1;
      E019 := E019 + 1;
      if E040 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E040 := E040 + 1;
      E023 := E023 + 1;
      if E337 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E337 := E337 + 1;
      if E114 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E114 := E114 + 1;
      if E139 = 0 then
         Gnat'Elab_Spec;
      end if;
      E139 := E139 + 1;
      if E201 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E201 := E201 + 1;
      if E258 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E258 := E258 + 1;
      if E252 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E252 := E252 + 1;
      if E100 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E100 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E100 := E100 + 1;
      if E098 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E098 := E098 + 1;
      if E112 = 0 then
         Ada.Strings.Text_Output'Elab_Spec;
      end if;
      E112 := E112 + 1;
      if E190 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E190 := E190 + 1;
      if E127 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E127 := E127 + 1;
      if E125 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E125 := E125 + 1;
      if E189 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E189 := E189 + 1;
      if E171 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E171 := E171 + 1;
      if E173 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E173 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E173 := E173 + 1;
      if E216 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E216 := E216 + 1;
      if E111 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E111 := E111 + 1;
      if E211 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E211 := E211 + 1;
      if E144 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E144 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E144 := E144 + 1;
      if E224 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E224 := E224 + 1;
      if E150 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E150 := E150 + 1;
      if E185 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E185 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E185 := E185 + 1;
      if E141 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E141 := E141 + 1;
      if E183 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E183 := E183 + 1;
      if E348 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E348 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E348 := E348 + 1;
      if E331 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E331 := E331 + 1;
      if E321 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E321 := E321 + 1;
      if E312 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E312 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E312 := E312 + 1;
      if E177 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E177 := E177 + 1;
      if E206 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E206 := E206 + 1;
      if E169 = 0 then
         System.Pool_Size'Elab_Spec;
      end if;
      E169 := E169 + 1;
      if E372 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E372 := E372 + 1;
      if E359 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E359 := E359 + 1;
      if E352 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E352 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E352 := E352 + 1;
      if E274 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E274 := E274 + 1;
      if E284 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E284 := E284 + 1;
      if E286 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E286 := E286 + 1;
      if E282 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E282 := E282 + 1;
      E160 := E160 + 1;
      if E310 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E310 := E310 + 1;
      E242 := E242 + 1;
      E164 := E164 + 1;
      if E162 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E162 := E162 + 1;
      E204 := E204 + 1;
      E304 := E304 + 1;
      if E302 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E302 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E302 := E302 + 1;
      if E323 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E325 := E325 + 1;
      E323 := E323 + 1;
      if E327 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E327 := E327 + 1;
      if E329 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E329 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E329 := E329 + 1;
      E195 := E195 + 1;
      if E179 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E179 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E179 := E179 + 1;
      if E157 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E157 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E157 := E157 + 1;
      if E343 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E343 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E343 := E343 + 1;
      if E361 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E361 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E361 := E361 + 1;
      if E350 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E350 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E350 := E350 + 1;
      if E364 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E364 := E364 + 1;
      if E368 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E368 := E368 + 1;
      if E346 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E363 := E363 + 1;
      E366 := E366 + 1;
      if E346 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E346 := E346 + 1;
      if E336 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E336 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E336 := E336 + 1;
      if E306 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E306 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E306 := E306 + 1;
      if E238 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E290 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E290 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E290 := E290 + 1;
      if E238 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E238 := E238 + 1;
      if E244 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E244 := E244 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/stage/usr/lib/gnatcoll_sql/
   --   -L/usr/lib/gpr/relocatable/gpr/
   --   -L/usr/lib/xmlada/
   --   -L/usr/lib/gnatcoll/
   --   -L/usr/lib/gcc/armv7hl-redhat-linux-gnueabi/11/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
--  END Object file/option list   

end gnatcoll_sqlitemain;
